Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 3240)
+++ palm/trunk/SOURCE/timestep.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3120 2018-07-11 18:30:57Z gronemeier
 ! Put ABS( km ) in computation of time step according to the diffusion criterion
 ! 
@@ -188,12 +191,5 @@
     REAL(wp) ::  kh_max            !< maximum of Kh in entire domain
     REAL(wp) ::  u_gtrans_l        !< 
-    REAL(wp) ::  u_max_l           !< 
-    REAL(wp) ::  u_min_l           !< 
-    REAL(wp) ::  value             !< 
     REAL(wp) ::  v_gtrans_l        !< 
-    REAL(wp) ::  v_max_l           !< 
-    REAL(wp) ::  v_min_l           !< 
-    REAL(wp) ::  w_max_l           !< 
-    REAL(wp) ::  w_min_l           !< 
  
     REAL(wp), DIMENSION(2)         ::  uv_gtrans   !< 
@@ -313,5 +309,5 @@
        ENDDO
 
-       !$OMP PARALLEL private(i,j,k,value) reduction(MIN: dt_diff_l)
+       !$OMP PARALLEL private(i,j,k) reduction(MIN: dt_diff_l)
        !$OMP DO
        DO  i = nxl, nxr
Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 3240)
+++ palm/trunk/SOURCE/transpose.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -100,5 +103,5 @@
 
      USE transpose_indices,                                                    &
-         ONLY:  nxl_z, nxr_z, nyn_x, nyn_z, nys_x, nys_z, nzb_x, nzt_x
+         ONLY:  nyn_x, nys_x, nzb_x, nzt_x
 
      IMPLICIT NONE
@@ -269,5 +272,5 @@
 
     USE indices,                                                               &
-        ONLY:  nnx, nx, nxl, nxr, ny, nyn, nys, nz
+        ONLY:  nnx, nx, nxl, nxr, nyn, nys, nz
 
     USE kinds
@@ -486,5 +489,5 @@
 
     USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
+        ONLY:  cpu_log, log_point_s
 
     USE indices,                                                               &
@@ -855,5 +858,5 @@
 
 !------------------------------------------------------------------------------!
-! Description:
+! Description:cpu_log_nowait
 ! ------------
 !> Transposition of input array (f_in) from z to y. For the input array, all
@@ -954,5 +957,5 @@
 
     USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
+        ONLY:  cpu_log, log_point_s
 
     USE indices,                                                               &
@@ -964,5 +967,5 @@
 
     USE transpose_indices,                                                     &
-        ONLY:  nxl_y, nxl_yd, nxr_y, nxr_yd, nzb_y, nzb_yd, nzt_y, nzt_yd
+        ONLY:  nxl_yd, nxr_yd, nzb_yd, nzt_yd
 
     IMPLICIT NONE
Index: palm/trunk/SOURCE/tridia_solver_mod.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/tridia_solver_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -489,6 +492,4 @@
        INTEGER(iwp) ::  nx                 !< 
        INTEGER(iwp) ::  ny                 !< 
-       INTEGER(iwp) ::  omp_get_thread_num !< 
-       INTEGER(iwp) ::  tn                 !< 
 
        REAL(wp)     ::  ddx2 !< 
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed, shortest_distance has wp now
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables and remove unused variable from USE statement
 ! 
@@ -200,11 +203,9 @@
     REAL(wp) ::  c_1                !< model constant for RANS mode
     REAL(wp) ::  c_2                !< model constant for RANS mode
-    REAL(wp) ::  c_3                !< model constant for RANS mode
+!    REAL(wp) ::  c_3                !< model constant for RANS mode
     REAL(wp) ::  c_4                !< model constant for RANS mode
     REAL(wp) ::  l_max              !< maximum length scale for Blackadar mixing length
     REAL(wp) ::  dsig_e = 1.0_wp    !< factor to calculate Ke from Km (1/sigma_e)
     REAL(wp) ::  dsig_diss = 1.0_wp !< factor to calculate K_diss from Km (1/sigma_diss)
-    INTEGER(iwp) ::  surf_e         !< end index of surface elements at given i-j position
-    INTEGER(iwp) ::  surf_s         !< start index of surface elements at given i-j position
 
     REAL(wp), DIMENSION(0:4) :: rans_const_c = &       !< model constants for RANS mode (namelist param)
@@ -382,5 +383,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  message_string, neutral, turbulent_inflow, turbulent_outflow
+        ONLY:  message_string, turbulent_inflow, turbulent_outflow
 
     IMPLICIT NONE
@@ -459,9 +460,6 @@
 !> Check data output.
 !------------------------------------------------------------------------------!
- SUBROUTINE tcm_check_data_output( var, unit, i, ilen, k )
+ SUBROUTINE tcm_check_data_output( var, unit )
  
-    USE control_parameters,                                                    &
-        ONLY:  data_output, message_string
-
     IMPLICIT NONE
 
@@ -469,7 +467,4 @@
     CHARACTER (LEN=*) ::  var      !< name of output variable
 
-    INTEGER(iwp) ::  i      !< index of var in data_output
-    INTEGER(iwp) ::  ilen   !< length of var string
-    INTEGER(iwp) ::  k      !< flag if var contains one of '_xy', '_xz' or '_yz'
 
     SELECT CASE ( TRIM( var ) )
@@ -697,5 +692,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE tcm_data_output_2d( av, variable, found, grid, mode, local_pf,     &
-                                two_d, nzb_do, nzt_do )
+                                nzb_do, nzt_do )
  
     USE averaging,                                                             &
@@ -717,5 +712,4 @@
 
     LOGICAL ::  found   !< flag if output variable is found
-    LOGICAL ::  two_d   !< flag parameter that indicates 2D variables (horizontal cross sections)
     LOGICAL ::  resorted  !< flag if output is already resorted
 
@@ -1052,8 +1046,8 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_dirichlet_l, complex_terrain, dissipation_1d, topography
+        ONLY:  bc_dirichlet_l, complex_terrain, topography
 
     USE model_1d_mod,                                                          &
-        ONLY:  diss1d, e1d, kh1d, km1d, l1d
+        ONLY:  e1d, kh1d, km1d
 
     USE surface_mod,                                                           &
@@ -1339,5 +1333,4 @@
     INTEGER(iwp) :: ii             !< index variable along x
     INTEGER(iwp) :: j              !< index variable along y
-    INTEGER(iwp) :: jj             !< index variable along y
     INTEGER(iwp) :: k              !< index variable along z
     INTEGER(iwp) :: k_max_topo = 0 !< index of maximum topography height
@@ -1804,5 +1797,5 @@
 !>   and debug options for the compiler. This should be fixed
 !------------------------------------------------------------------------------!
-    REAL FUNCTION shortest_distance( array, orientation, pos_i )
+    REAL(wp) FUNCTION shortest_distance( array, orientation, pos_i )
 
        IMPLICIT NONE
@@ -2089,6 +2082,5 @@
 
     USE surface_mod,                                                           &
-        ONLY :  surf_def_h, surf_def_v, surf_lsm_h, surf_lsm_v, surf_usm_h,    &
-                surf_usm_v 
+        ONLY :  surf_def_h
 
     IMPLICIT NONE
@@ -2371,19 +2363,9 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  ddzu, diss_l_diss, diss_l_e, diss_s_diss, diss_s_e,             &
-               flux_l_diss, flux_l_e, flux_s_diss, flux_s_e,&
-               u_p,v_p,w_p
+        ONLY:  diss_l_diss, diss_l_e, diss_s_diss, diss_s_e, flux_l_diss,      &
+               flux_l_e, flux_s_diss, flux_s_e
 
     USE control_parameters,                                                    &
-        ONLY:  f, tsc
-
-    USE grid_variables,                                                        &
-        ONLY:  dx, dy
-
-    USE surface_mod,                                                           &
-        ONLY :  surf_def_h, surf_def_v, surf_lsm_h, surf_lsm_v, surf_usm_h,    &
-                surf_usm_v 
-
-    use indices, only: nx, ny
+        ONLY:  tsc
 
     IMPLICIT NONE
@@ -2393,16 +2375,12 @@
     INTEGER(iwp) ::  j       !< loop index y direction
     INTEGER(iwp) ::  k       !< loop index z direction
-    INTEGER(iwp) ::  l       !< loop index
-    INTEGER(iwp) ::  m       !< loop index
-    INTEGER(iwp) ::  surf_e  !< end index of surface elements at given i-j position
-    INTEGER(iwp) ::  surf_s  !< start index of surface elements at given i-j position
     INTEGER(iwp) ::  tn      !< task number of openmp task
 
-    INTEGER(iwp) :: pis = 32 !< debug variable, print from i=pis                !> @todo remove later
-    INTEGER(iwp) :: pie = 32 !< debug variable, print until i=pie               !> @todo remove later
-    INTEGER(iwp) :: pjs = 26 !< debug variable, print from j=pjs                !> @todo remove later
-    INTEGER(iwp) :: pje = 26 !< debug variable, print until j=pje               !> @todo remove later
-    INTEGER(iwp) :: pkb = 1  !< debug variable, print from k=pkb                !> @todo remove later
-    INTEGER(iwp) :: pkt = 7  !< debug variable, print until k=pkt               !> @todo remove later
+!    INTEGER(iwp) :: pis = 32 !< debug variable, print from i=pis                !> @todo remove later
+!    INTEGER(iwp) :: pie = 32 !< debug variable, print until i=pie               !> @todo remove later
+!    INTEGER(iwp) :: pjs = 26 !< debug variable, print from j=pjs                !> @todo remove later
+!    INTEGER(iwp) :: pje = 26 !< debug variable, print until j=pje               !> @todo remove later
+!    INTEGER(iwp) :: pkb = 1  !< debug variable, print from k=pkb                !> @todo remove later
+!    INTEGER(iwp) :: pkt = 7  !< debug variable, print until k=pkt               !> @todo remove later
 
     REAL(wp), DIMENSION(nzb:nzt+1) :: dum_adv   !< debug variable               !> @todo remove later
@@ -2410,5 +2388,5 @@
     REAL(wp), DIMENSION(nzb:nzt+1) :: dum_dif   !< debug variable               !> @todo remove later
 
-5555 FORMAT(A,7(1X,E12.5))   !> @todo remove later
+!5555 FORMAT(A,7(1X,E12.5))   !> @todo remove later
 
 !
@@ -4812,5 +4790,5 @@
     INTEGER(iwp) ::  j                   !< loop index
     INTEGER(iwp) ::  k                   !< loop index
-    INTEGER(iwp) ::  omp_get_thread_num  !< opemmp function to get thread number
+!$  INTEGER(iwp) ::  omp_get_thread_num  !< opemmp function to get thread number
     INTEGER(iwp) ::  sr                  !< statistic region
     INTEGER(iwp) ::  tn                  !< thread number
@@ -4970,10 +4948,10 @@
     REAL(wp)     ::  vc(-1:1,-1:1)  !< v on grid center
     REAL(wp)     ::  wc(-1:1,-1:1)  !< w on grid center
-    REAL(wp)     ::  u2(-1:1,-1:1)  !< u2 on grid center
-    REAL(wp)     ::  v2(-1:1,-1:1)  !< v2 on grid center
-    REAL(wp)     ::  w2(-1:1,-1:1)  !< w2 on grid center
-    REAL(wp)     ::  uv(-1:1,-1:1)  !< u*v on grid center
-    REAL(wp)     ::  uw(-1:1,-1:1)  !< u*w on grid center
-    REAL(wp)     ::  vw(-1:1,-1:1)  !< v*w on grid center
+!    REAL(wp)     ::  u2(-1:1,-1:1)  !< u2 on grid center
+!    REAL(wp)     ::  v2(-1:1,-1:1)  !< v2 on grid center
+!    REAL(wp)     ::  w2(-1:1,-1:1)  !< w2 on grid center
+!    REAL(wp)     ::  uv(-1:1,-1:1)  !< u*v on grid center
+!    REAL(wp)     ::  uw(-1:1,-1:1)  !< u*w on grid center
+!    REAL(wp)     ::  vw(-1:1,-1:1)  !< v*w on grid center
 
     REAL(wp)     ::  ut(nzb:nzt+1,nysg:nyng,nxlg:nxrg)  !< test filtered u
@@ -5229,7 +5207,10 @@
     IMPLICIT NONE
 
+
+#if defined( __nopointer )
     INTEGER(iwp) ::  i      !< loop index x direction
     INTEGER(iwp) ::  j      !< loop index y direction
     INTEGER(iwp) ::  k      !< loop index z direction
+#endif
     INTEGER, INTENT(IN) ::  mod_count  !< flag defining where pointers point to
 
Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3241)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3223 2018-08-30 13:48:17Z suehring
 ! Bugfix for commit 3222
 ! 
@@ -406,5 +409,4 @@
     INTEGER(iwp) ::  pedestrian_category = 2         !< default category for wall surface in pedestrian zone
     INTEGER(iwp) ::  roof_category = 2               !< default category for root surface
-    REAL(wp)     ::  roughness_concrete = 0.001_wp   !< roughness length of average concrete surface
 !
 !-- Indices of input attributes for (above) ground floor level 
@@ -587,5 +589,4 @@
 !-- arrays for time averages
 !-- Attention: the variable rad_net_av is also used in the 3d field variable in radiation_model_mod.f90. It may be better to rename it 
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  rad_net_av       !< average of rad_net_l
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinsw_av      !< average of sw radiation falling to local surface including radiation from reflections
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinlw_av      !< average of lw radiation falling to local surface including radiation from reflections
@@ -599,12 +600,4 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfins_av       !< average of array of residua of sw radiation absorbed in surface after last reflection
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfinl_av       !< average of array of residua of lw radiation absorbed in surface after last reflection
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  surfhf_av        !< average of total radiation flux incoming to minus outgoing from local surface  
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wghf_eb_av       !< average of wghf_eb
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wshf_eb_av       !< average of wshf_eb
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          ::  t_wall_av        !< Average of t_wall
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wghf_eb_green_av !< average of wghf_eb_green
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          ::  t_green_av       !< Average of t_green
-    REAL(wp), DIMENSION(:), ALLOCATABLE            ::  wghf_eb_window_av !< average of wghf_eb_window
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          ::  t_window_av      !< Average of t_window    
     
 
@@ -704,13 +697,4 @@
     
 #endif
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_av          !< average of wall surface temperature (K)
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_window_av   !< average of window surface temperature (K)
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_green_av    !< average of green wall surface temperature (K)
-    REAL(wp), DIMENSION(:), ALLOCATABLE, TARGET    :: t_surf_10cm_av    !< average of whole wall surface temperature (K)
-
-!-- Temporal tendencies for time stepping            
-    REAL(wp), DIMENSION(:), ALLOCATABLE            :: tt_surface_m       !< surface temperature tendency of wall (K)
-    REAL(wp), DIMENSION(:), ALLOCATABLE            :: tt_surface_window_m !< surface temperature tendency of window (K)
-    REAL(wp), DIMENSION(:), ALLOCATABLE            :: tt_surface_green_m !< surface temperature tendency of green wall (K)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -721,43 +705,33 @@
 #if defined( __nopointer )
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h             !< Wall temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_av          !< Average of t_wall
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_p           !< Prog. wall temperature (K)
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h           !< Window temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h_av        !< Average of t_window
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h_p         !< Prog. window temperature (K)
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h            !< Green temperature (K)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h_av         !< Average of t_green
     REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h_p          !< Prog. green temperature (K)
 
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v             !< Wall temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v_av          !< Average of t_wall
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v_p           !< Prog. wall temperature (K)
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v           !< Window temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v_av        !< Average of t_window
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v_p         !< Prog. window temperature (K)
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v            !< Green temperature (K)
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v_av         !< Average of t_green
     TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v_p          !< Prog. green temperature (K)
 #else
     REAL(wp), DIMENSION(:,:), POINTER                :: t_wall_h, t_wall_h_p
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_av, t_wall_h_1, t_wall_h_2
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_wall_h_1, t_wall_h_2
     REAL(wp), DIMENSION(:,:), POINTER                :: t_window_h, t_window_h_p
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h_av, t_window_h_1, t_window_h_2
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_window_h_1, t_window_h_2
     REAL(wp), DIMENSION(:,:), POINTER                :: t_green_h, t_green_h_p
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h_av, t_green_h_1, t_green_h_2
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE, TARGET    :: t_green_h_1, t_green_h_2
 
     TYPE(t_wall_vertical), DIMENSION(:), POINTER   :: t_wall_v, t_wall_v_p
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v_av, t_wall_v_1, t_wall_v_2
+    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_wall_v_1, t_wall_v_2
     TYPE(t_wall_vertical), DIMENSION(:), POINTER   :: t_window_v, t_window_v_p
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v_av, t_window_v_1, t_window_v_2
+    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_window_v_1, t_window_v_2
     TYPE(t_wall_vertical), DIMENSION(:), POINTER   :: t_green_v, t_green_v_p
-    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v_av, t_green_v_1, t_green_v_2
+    TYPE(t_wall_vertical), DIMENSION(0:3), TARGET  :: t_green_v_1, t_green_v_2
 #endif
 
-!-- Wall temporal tendencies for time stepping
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          :: tt_wall_m          !< t_wall prognostic array 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          :: tt_window_m        !< t_window prognostic array 
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE          :: tt_green_m         !< t_green prognostic array 
-
+!
 !-- Surface and material parameters classes (surface_type)
 !-- albedo, emissivity, lambda_surf, roughness, thickness, volumetric heat capacity, thermal conductivity
@@ -1270,11 +1244,11 @@
         IMPLICIT NONE
 
-        CHARACTER (len=*), INTENT(IN) ::  mode
-        CHARACTER (len=*), INTENT(IN) :: variable
+        CHARACTER(LEN=*), INTENT(IN) ::  mode
+        CHARACTER(LEN=*), INTENT(IN) :: variable
   
         INTEGER(iwp)                                       :: i, j, k, l, m, ids, idsint, iwl, istat
-        CHARACTER (len=varnamelength)                      :: var, surfid
+        CHARACTER(LEN=varnamelength)                       :: var
         INTEGER(iwp), PARAMETER                            :: nd = 5
-        CHARACTER(len=6), DIMENSION(0:nd-1), PARAMETER     :: dirname = (/ '_roof ', '_south', '_north', '_west ', '_east ' /)
+        CHARACTER(LEN=6), DIMENSION(0:nd-1), PARAMETER     :: dirname = (/ '_roof ', '_south', '_north', '_west ', '_east ' /)
         INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER         :: dirint = (/ iup_u, isouth_u, inorth_u, iwest_u, ieast_u /)
 
@@ -2440,5 +2414,4 @@
         INTEGER(iwp)                                           :: ids,idsint,idsidx,isurf,isvf,isurfs,isurflt
         INTEGER(iwp)                                           :: is,js,ks,i,j,k,iwl,istat, l, m
-        INTEGER(iwp)                                           :: k_topo    !< topography top index
 
         dirstart = (/ startland, startwall, startwall, startwall, startwall /)
@@ -3621,5 +3594,5 @@
         INTEGER(iwp) ::  st                  !< dummy  
 
-        REAL(wp)     ::  c, d, tin, twin
+        REAL(wp)     ::  c, tin, twin
         REAL(wp)     ::  ground_floor_level_l         !< local height of ground floor level
         REAL(wp)     ::  z_agl                        !< height above ground
@@ -5348,5 +5321,4 @@
                            naheatlayers,                                       &
                            pedestrian_category,                                &
-                           roughness_concrete,                                 &
                            read_wall_temp_3d,                                  &
                            roof_category,                                      &
@@ -5366,5 +5338,4 @@
                            naheatlayers,                                       &
                            pedestrian_category,                                &
-                           roughness_concrete,                                 &
                            read_wall_temp_3d,                                  &
                            roof_category,                                      &
@@ -5574,6 +5545,4 @@
            
        IMPLICIT NONE
-
-       CHARACTER (LEN=1)  ::  dum              !< dummy to create correct string for reading input variable
 
        INTEGER(iwp)       ::  l                !< index variable for surface type
@@ -6758,5 +6727,5 @@
         INTEGER(iwp), DIMENSION(0:17, nysg:nyng, nxlg:nxrg)   :: usm_par
         REAL(wp), DIMENSION(1:14, nysg:nyng, nxlg:nxrg)       :: usm_val
-        INTEGER(iwp)                                          :: k, l, d, iw, jw, kw, it, ip, ii, ij, m
+        INTEGER(iwp)                                          :: k, l, iw, jw, kw, it, ip, ii, ij, m
         INTEGER(iwp)                                          :: i, j
         INTEGER(iwp)                                          :: nz, roof, dirwe, dirsn
@@ -6769,7 +6738,4 @@
         REAL(wp)                                              :: wealbedo2, wethick2, snalbedo2, snthick2
         REAL(wp)                                              :: wealbedo3, wethick3, snalbedo3, snthick3
-        
-        LOGICAL                                               ::  surfpar
-        LOGICAL                                               ::  urbsurf
 
 !
@@ -7332,5 +7298,5 @@
         IMPLICIT NONE
 
-        INTEGER(iwp)                          :: i, j, k, l, d, m   !< running indices
+        INTEGER(iwp)                          :: i, j, k, l, m      !< running indices
         
         REAL(wp)                              :: stend              !< surface tendency
@@ -7839,10 +7805,9 @@
 !> called out from subroutine swap_timelevel
 !------------------------------------------------------------------------------!
-    SUBROUTINE usm_swap_timelevel ( mod_count )
+    SUBROUTINE usm_swap_timelevel( mod_count )
 
        IMPLICIT NONE
 
-       INTEGER(iwp), INTENT(IN) :: mod_count
-       INTEGER(iwp)             :: i
+       INTEGER(iwp), INTENT(IN) ::  mod_count
       
 #if defined( __nopointer )
Index: palm/trunk/SOURCE/uv_exposure_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3014 2018-05-09 08:42:38Z maronga
 ! Bugfix: domain bounds of local_pf corrected
 ! 
@@ -313,6 +316,6 @@
 !> Subroutine defining 2D output variables
 !-----------------------------------------------------------------------------!
- SUBROUTINE uvem_data_output_2d( av, variable, found, grid, mode, local_pf,   &
-                                 two_d, nzb_do, nzt_do )
+ SUBROUTINE uvem_data_output_2d( av, variable, found, grid, local_pf, two_d,   &
+                                 nzb_do, nzt_do )
  
     USE indices
@@ -324,5 +327,4 @@
 
     CHARACTER (LEN=*) ::  grid     !< 
-    CHARACTER (LEN=*) ::  mode     !< 
     CHARACTER (LEN=*) ::  variable !< 
 
@@ -330,6 +332,4 @@
     INTEGER(iwp) ::  i       !< running index 
     INTEGER(iwp) ::  j       !< running index
-    INTEGER(iwp) ::  k       !< running index
-    INTEGER(iwp) ::  m       !< running index
     INTEGER(iwp) ::  nzb_do  !< 
     INTEGER(iwp) ::  nzt_do  !< 
@@ -491,6 +491,4 @@
     INTEGER(iwp) ::  i       !< 
     INTEGER(iwp) ::  j       !< 
-    INTEGER(iwp) ::  k       !< 
-    INTEGER(iwp) ::  m       !< running index
 
     IF ( mode == 'allocate' )  THEN
